Bug 1476760 - Overcloud deployment doesn't set the hostname in /etc/host in the deployed nodes
Overcloud deployment doesn't set the hostname in /etc/host in the deployed nodes
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
10.0 (Newton)
x86_64 Linux
high Severity high
: rc
: 12.0 (Pike)
Assigned To: Emilien Macchi
Gurenko Alex
: Triaged
Depends On:
Blocks: 1486398 1488239 1488243 1489598
  Show dependency treegraph
 
Reported: 2017-07-31 07:55 EDT by Siggy Sigwald
Modified: 2017-11-08 13:55 EST (History)
8 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-7.0.3-0.20171023134947.8da5e1f.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1486398 1488239 1488243 1489598 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1711435 None None None 2017-08-17 14:31 EDT
OpenStack gerrit 494669 None None None 2017-08-17 14:31 EDT

  None (edit)
Description Siggy Sigwald 2017-07-31 07:55:34 EDT
Description of problem:
The result of executing  the command  "hostname -f" in a deployed overcloud node returns "localhost" and because of that the first node registers as "localhost" in the satellite, the subsecuential node registration fails because "localhost" already exists in the satellite. 
There's a bug open for a similar problem against Mitaka (https://bugzilla.redhat.com/show_bug.cgi?id=1474092).
Comment 4 James Slagle 2017-08-17 14:32:36 EDT
this would likely need to be backported to several releases if the issue is as widespread to affect anywhere satellite 6.2.5+ is used.

there is already a bug we can use for the OSP10 backport:
https://bugzilla.redhat.com/show_bug.cgi?id=1412352

Note You need to log in before you can comment on or make changes to this bug.